part of 'test_set_execute_bloc.dart';

abstract class TestSetExecuteState extends Equatable {
  const TestSetExecuteState();

  @override
  List<Object> get props => [];
}

class TestSetExecuteInitial extends TestSetExecuteState {
  const TestSetExecuteInitial();
}

class TestSetExecuteLoading extends TestSetExecuteState {
  const TestSetExecuteLoading();
}

class TestSetExecuteFinished extends TestSetExecuteState {
  const TestSetExecuteFinished();
}

class TestSetExecuteReady extends TestSetExecuteState {
  const TestSetExecuteReady();
}

class TestSetExecuteError extends TestSetExecuteState {
  final String message;
  const TestSetExecuteError({required this.message});

  @override
  List<Object> get props => [message];
}
